Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conf
Class MultiProjectConfiguration

    java.lang.Object
      org.apache.cayenne.conf.Configuration
          org.apache.cayenne.conf.MultiProjectConfiguration

    public class MultiProjectConfiguration

extends Configuration

A Configuration implementation that creates a single virtual runtime project out of multiple Cayenne configurations.

Since:
  3.0

Field Summary
`protected ResourceFinder` | `resourceFinder`

Fields inherited from class org.apache.cayenne.conf.Configuration
`configurationShutdownHook, dataDomains, dataViewLocations, DEFAULT_CONFIGURATION_CLASS, DEFAULT_DOMAIN_FILE, domainConfigurationName, eventManager, ignoringLoadFailures, loaderDelegate, loadStatus, overrideFactory, overrideStrategy, projectVersion, saverDelegate, sharedConfiguration`

Constructor Summary
`MultiProjectConfiguration()`

Method Summary
`protected ResourceFinder` | `getResourceFinder()` Returns `ResourceFinder` associated with this Configuration that is to be used for config files lookup.
`void` | `initialize()` Initializes the new instance.

Methods inherited from class org.apache.cayenne.conf.Configuration
`addDomain, canInitialize, didInitialize, getDataSourceFactory, getDataSourceFactory, getDataViewLocations, getDomain, getDomain, getDomainConfiguration, getDomainConfigurationName, getDomains, getEventManager, getLoaderDelegate, getLoadStatus, getMapConfiguration, getProjectVersion, getResourceLocator, getSaverDelegate, getSchemaUpdateStrategy, getSharedConfiguration, getViewConfiguration, initializeSharedConfiguration, initializeSharedConfiguration, initializeSharedConfiguration, installConfigurationShutdownHook, isIgnoringLoadFailures, removeDomain, setDataSourceFactory, setDataViewLocations, setDomainConfigurationName, setEventManager, setIgnoringLoadFailures, setLoaderDelegate, setLoadStatus, setProjectVersion, setSaverDelegate, setSchemaUpdateStrategy, shutdown, uninstallConfigurationShutdownHook`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceFinder

    protected ResourceFinder resourceFinder

Constructor Detail

### MultiProjectConfiguration

    public MultiProjectConfiguration()

Method Detail

### initialize

    public void initialize()
                    throws Exception

  Description copied from class: `Configuration`
  Initializes the new instance.

  Specified by:
    `initialize` in class `Configuration`
  Throws:
    `Exception`

### getResourceFinder

    protected ResourceFinder getResourceFinder()

  Description copied from class: `Configuration`
  Returns `ResourceFinder` associated with this Configuration that is to be used for config files lookup.

  Specified by:
    `getResourceFinder` in class `Configuration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.